package jp.ne.motoki.android.hellolivewallpaper;

import android.util.Log;

public class Utils {
	
	private static final boolean DEBUG = true;
	private static final String TAG = "HelloWallpaperService";
	
	public static void log_debug(String msg) {
		if (DEBUG) {
			Log.d(TAG, msg);
		}
	}
	
	public static void log_warn(String msg) {
		if (DEBUG) {
			Log.w(TAG, msg);
		}
	}
	
	public static void log_error(String msg) {
		if (DEBUG) {
			Log.e(TAG, msg);
		}
	}
	
	public static void log_error(String msg, Throwable tr) {
		if (DEBUG) {
			Log.e(TAG, msg, tr);
		}
	}

}
